package cn.com.infosec.mobile.android.managers;

import android.content.Context;
import android.support.annotation.Keep;
import android.support.annotation.NonNull;
import cn.com.infosec.mobile.android.IMSSdk;
import cn.com.infosec.mobile.android.IMSUserAction;
import cn.com.infosec.mobile.android.net.NetworkInterface;
import cn.com.infosec.mobile.android.result.Result;
import cn.com.infosec.mobile.android.xlog.XLog;
import java.util.List;
import java.util.Map;
import java.util.logging.Level;
import org.json.JSONObject;

@Keep
public class UserManager {
   private IMSUserAction imsUserAction;

   public UserManager(Context context) {
      UserManager var10000 = this;
      super();
      IMSUserAction var2;
      var2 = new IMSUserAction.<init>(context);
      var10000.imsUserAction = var2;
   }

   public void newUser(@NonNull String userName, @NonNull String realName, @NonNull String mobileNo, @NonNull String emailAddr, int regCodeFlag, int userType, @NonNull Result.ResultListener resultListener) {
      Map userName1;
      if ((userName1 = this.imsUserAction.newUserBegin(userName, realName, mobileNo, emailAddr, regCodeFlag, userType)) == null) {
         resultListener.handleResult(this.imsUserAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/user/newUser");
         Map var10002 = userName1;
         NetworkInterface.NetworkCallback userName2;
         userName2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$resultListener = var2;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(UserManager.this.imsUserAction.newUserFinal(callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1007", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               XLog.d("添加新用户失败：".concat(errorMsg));
               IMSSdk.mLogger.log(Level.SEVERE, "用户添加失败:".concat(errorMsg));
            }
         }.<init>(resultListener);
         var10000.httpPost(var10001, var10002, userName2);
      }
   }

   public Result newUser(@NonNull String userName, @NonNull String realName, @NonNull String mobileNo, @NonNull String emailAddr, int regCodeFlag, int userType) {
      Exception var10000;
      label41: {
         Map var15;
         boolean var10001;
         try {
            var15 = this.imsUserAction.newUserBegin(userName, realName, mobileNo, emailAddr, regCodeFlag, userType);
         } catch (Exception var11) {
            var10000 = var11;
            var10001 = false;
            break label41;
         }

         Map userName1 = var15;
         if (var15 == null) {
            try {
               return this.imsUserAction.getLatestResult();
            } catch (Exception var7) {
               var10000 = var7;
               var10001 = false;
            }
         } else {
            label43: {
               UserManager var16;
               NetworkInterface var17;
               try {
                  var16 = this;
                  var17 = IMSSdk.networkInterface;
               } catch (Exception var10) {
                  var10000 = var10;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var18;
               try {
                  var18 = var17.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/user/newUser"), userName1);
               } catch (Exception var9) {
                  var10000 = var9;
                  var10001 = false;
                  break label43;
               }

               JSONObject var12 = var18;

               try {
                  return var16.imsUserAction.newUserFinal(var12);
               } catch (Exception var8) {
                  var10000 = var8;
                  var10001 = false;
               }
            }
         }
      }

      Exception var13 = var10000;
      var13.printStackTrace();
      return new Result("IE1015", var13);
   }

   public void getSignCode(@NonNull String userName, @NonNull String uid, int regCodeFlag, @NonNull Result.ResultListener resultListener) {
      Map userName1;
      if ((userName1 = this.imsUserAction.signCodeBegin(userName, uid, regCodeFlag)) == null) {
         resultListener.handleResult(this.imsUserAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/user/refreshCode");
         Map var10002 = userName1;
         NetworkInterface.NetworkCallback userName2;
         userName2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$resultListener = var2;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(UserManager.this.imsUserAction.signCodeFinal(callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1007", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "获取签约码失败:".concat(errorMsg));
               XLog.d("获取签约码失败:".concat(errorMsg));
            }
         }.<init>(resultListener);
         var10000.httpPost(var10001, var10002, userName2);
      }
   }

   public Result getSignCode(@NonNull String userName, @NonNull String uid, int regCodeFlag) {
      Exception var10000;
      label41: {
         Map var12;
         boolean var10001;
         try {
            var12 = this.imsUserAction.signCodeBegin(userName, uid, regCodeFlag);
         } catch (Exception var8) {
            var10000 = var8;
            var10001 = false;
            break label41;
         }

         Map userName1 = var12;
         if (var12 == null) {
            try {
               return this.imsUserAction.getLatestResult();
            } catch (Exception var4) {
               var10000 = var4;
               var10001 = false;
            }
         } else {
            label43: {
               UserManager var13;
               NetworkInterface var14;
               try {
                  var13 = this;
                  var14 = IMSSdk.networkInterface;
               } catch (Exception var7) {
                  var10000 = var7;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var15;
               try {
                  var15 = var14.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/user/refreshCode"), userName1);
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label43;
               }

               JSONObject var9 = var15;

               try {
                  return var13.imsUserAction.signCodeFinal(var9);
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
               }
            }
         }
      }

      Exception var10 = var10000;
      var10.printStackTrace();
      return new Result("IE1015", var10);
   }

   public void signUp(@NonNull String userName, @NonNull String signCode, @NonNull Result.ResultListener resultListener) {
      Map userName1;
      if ((userName1 = this.imsUserAction.signupBegin(userName, signCode)) == null) {
         resultListener.handleResult(this.imsUserAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/user/getUserInfo");
         Map var10002 = userName1;
         NetworkInterface.NetworkCallback userName2;
         userName2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$resultListener = var2;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(UserManager.this.imsUserAction.signupFinal(callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1026", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "用户签约失败:".concat(errorMsg));
               XLog.d("用户签约失败:".concat(errorMsg));
            }
         }.<init>(resultListener);
         var10000.httpPost(var10001, var10002, userName2);
      }
   }

   public Result signUp(@NonNull String userName, @NonNull String signCode) {
      Exception var10000;
      label41: {
         Map var11;
         boolean var10001;
         try {
            var11 = this.imsUserAction.signupBegin(userName, signCode);
         } catch (Exception var7) {
            var10000 = var7;
            var10001 = false;
            break label41;
         }

         Map userName1 = var11;
         if (var11 == null) {
            try {
               return this.imsUserAction.getLatestResult();
            } catch (Exception var3) {
               var10000 = var3;
               var10001 = false;
            }
         } else {
            label43: {
               UserManager var12;
               NetworkInterface var13;
               try {
                  var12 = this;
                  var13 = IMSSdk.networkInterface;
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var14;
               try {
                  var14 = var13.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/user/getUserInfo"), userName1);
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
                  break label43;
               }

               JSONObject var8 = var14;

               try {
                  return var12.imsUserAction.signupFinal(var8);
               } catch (Exception var4) {
                  var10000 = var4;
                  var10001 = false;
               }
            }
         }
      }

      Exception var9 = var10000;
      var9.printStackTrace();
      return new Result("IE1015", var9);
   }

   public void lockUser(@NonNull String userName, @NonNull Result.ResultListener resultListener) {
      Map var3;
      if ((var3 = this.imsUserAction.lockBegin(userName)) == null) {
         resultListener.handleResult(this.imsUserAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/user/lockUser");
         Map var10002 = var3;
         NetworkInterface.NetworkCallback var4;
         var4 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final String val$userName;

            {
               this.val$resultListener = var2;
               this.val$userName = var3;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(UserManager.this.imsUserAction.lockFinal(this.val$userName, callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1027", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "用户锁定失败:".concat(errorMsg));
               XLog.d("用户锁定失败:".concat(errorMsg));
            }
         }.<init>(resultListener, userName);
         var10000.httpPost(var10001, var10002, var4);
      }
   }

   public Result lockUser(@NonNull String userName) {
      Exception var10000;
      label41: {
         Map var10;
         boolean var10001;
         try {
            var10 = this.imsUserAction.lockBegin(userName);
         } catch (Exception var7) {
            var10000 = var7;
            var10001 = false;
            break label41;
         }

         Map var2 = var10;
         if (var10 == null) {
            try {
               return this.imsUserAction.getLatestResult();
            } catch (Exception var3) {
               var10000 = var3;
               var10001 = false;
            }
         } else {
            label43: {
               UserManager var11;
               NetworkInterface var12;
               try {
                  var11 = this;
                  var12 = IMSSdk.networkInterface;
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var13;
               try {
                  var13 = var12.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/user/lockUser"), var2);
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
                  break label43;
               }

               JSONObject var8 = var13;

               try {
                  return var11.imsUserAction.lockFinal(userName, var8);
               } catch (Exception var4) {
                  var10000 = var4;
                  var10001 = false;
               }
            }
         }
      }

      Exception var9 = var10000;
      var9.printStackTrace();
      return new Result("IE1015", var9);
   }

   public void unLockUser(@NonNull String userName, @NonNull String unLockCode, @NonNull Result.ResultListener resultListener) {
      Map unLockCode1;
      if ((unLockCode1 = this.imsUserAction.unLockBegin(userName, unLockCode)) == null) {
         resultListener.handleResult(this.imsUserAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/user/unlockUser");
         Map var10002 = unLockCode1;
         NetworkInterface.NetworkCallback unLockCode2;
         unLockCode2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final String val$userName;

            {
               this.val$resultListener = var2;
               this.val$userName = var3;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(UserManager.this.imsUserAction.unLockFinal(this.val$userName, callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1049", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "用户解锁失败:".concat(errorMsg));
               XLog.d("用户解锁失败:".concat(errorMsg));
            }
         }.<init>(resultListener, userName);
         var10000.httpPost(var10001, var10002, unLockCode2);
      }
   }

   public Result unLockUser(@NonNull String userName, @NonNull String unLockCode) {
      Exception var10000;
      label41: {
         Map var11;
         boolean var10001;
         try {
            var11 = this.imsUserAction.unLockBegin(userName, unLockCode);
         } catch (Exception var7) {
            var10000 = var7;
            var10001 = false;
            break label41;
         }

         Map unLockCode1 = var11;
         if (var11 == null) {
            try {
               return this.imsUserAction.getLatestResult();
            } catch (Exception var3) {
               var10000 = var3;
               var10001 = false;
            }
         } else {
            label43: {
               UserManager var12;
               NetworkInterface var13;
               try {
                  var12 = this;
                  var13 = IMSSdk.networkInterface;
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var14;
               try {
                  var14 = var13.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/user/unlockUser"), unLockCode1);
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
                  break label43;
               }

               JSONObject var8 = var14;

               try {
                  return var12.imsUserAction.unLockFinal(userName, var8);
               } catch (Exception var4) {
                  var10000 = var4;
                  var10001 = false;
               }
            }
         }
      }

      Exception var9 = var10000;
      var9.printStackTrace();
      return new Result("IE1015", var9);
   }

   public void getStatusOnLine(@NonNull String userName, @NonNull Result.ResultListener resultListener) {
      Map userName1;
      if ((userName1 = this.imsUserAction.statusOnLineBegin(userName)) == null) {
         resultListener.handleResult(this.imsUserAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/user/getUserState");
         Map var10002 = userName1;
         NetworkInterface.NetworkCallback userName2;
         userName2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;

            {
               this.val$resultListener = var2;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(UserManager.this.imsUserAction.statusOnLineFinal(callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1049", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "用户状态获取失败:".concat(errorMsg));
               XLog.d("用户状态获取失败:".concat(errorMsg));
            }
         }.<init>(resultListener);
         var10000.httpPost(var10001, var10002, userName2);
      }
   }

   public Result getStatusOnLine(@NonNull String userName) {
      Exception var10000;
      label41: {
         Map var10;
         boolean var10001;
         try {
            var10 = this.imsUserAction.statusOnLineBegin(userName);
         } catch (Exception var6) {
            var10000 = var6;
            var10001 = false;
            break label41;
         }

         Map userName1 = var10;
         if (var10 == null) {
            try {
               return this.imsUserAction.getLatestResult();
            } catch (Exception var2) {
               var10000 = var2;
               var10001 = false;
            }
         } else {
            label43: {
               UserManager var11;
               NetworkInterface var12;
               try {
                  var11 = this;
                  var12 = IMSSdk.networkInterface;
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var13;
               try {
                  var13 = var12.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/user/getUserState"), userName1);
               } catch (Exception var4) {
                  var10000 = var4;
                  var10001 = false;
                  break label43;
               }

               JSONObject var7 = var13;

               try {
                  return var11.imsUserAction.statusOnLineFinal(var7);
               } catch (Exception var3) {
                  var10000 = var3;
                  var10001 = false;
               }
            }
         }
      }

      Exception var8 = var10000;
      var8.printStackTrace();
      return new Result("IE1015", var8);
   }

   public void updateUserForAll(String userName, String uid, String emailAddress, @NonNull String realname, String mobile, @NonNull Result.ResultListener resultListener) {
      Map uid1;
      if ((uid1 = this.imsUserAction.updateUserForAllBegin(uid, userName, realname, emailAddress, mobile)) == null) {
         resultListener.handleResult(this.imsUserAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/user/updateUserForAll");
         Map var10002 = uid1;
         NetworkInterface.NetworkCallback uid2;
         uid2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final String val$userName;
            // $FF: synthetic field
            final String val$emailAddress;
            // $FF: synthetic field
            final String val$realname;
            // $FF: synthetic field
            final String val$mobile;

            {
               this.val$resultListener = var2;
               this.val$userName = var3;
               this.val$emailAddress = var4;
               this.val$realname = var5;
               this.val$mobile = var6;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               Result.ResultListener var10000 = this.val$resultListener;
               IMSUserAction var10001 = UserManager.this.imsUserAction;
               <undefinedtype> var10002 = this;
               <undefinedtype> var10003 = this;
               <undefinedtype> var10004 = this;
               String var5 = this.val$userName;
               String var2 = var10004.val$emailAddress;
               String var3 = var10003.val$realname;
               String var4 = var10002.val$mobile;
               var10000.handleResult(var10001.updateUserForAllFinal(var5, var2, var3, var4, callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1049", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "用户信息更新失败:".concat(errorMsg));
               XLog.d("用户信息更新失败:".concat(errorMsg));
            }
         }.<init>(resultListener, userName, emailAddress, realname, mobile);
         var10000.httpPost(var10001, var10002, uid2);
      }
   }

   public void updateUserEmail(@NonNull String userName, @NonNull String uid, @NonNull String emailAddress, @NonNull Result.ResultListener resultListener) {
      Map uid1;
      if ((uid1 = this.imsUserAction.updateEmailBegin(userName, uid, emailAddress)) == null) {
         resultListener.handleResult(this.imsUserAction.getLatestResult());
      } else {
         NetworkInterface var10000 = IMSSdk.networkInterface;
         String var10001 = "/".concat(IMSSdk.APP_NAME).concat("/user/updateUser");
         Map var10002 = uid1;
         NetworkInterface.NetworkCallback uid2;
         uid2 = new NetworkInterface.NetworkCallback<JSONObject>() {
            // $FF: synthetic field
            final Result.ResultListener val$resultListener;
            // $FF: synthetic field
            final String val$userName;

            {
               this.val$resultListener = var2;
               this.val$userName = var3;
            }

            public void onSucceed(@NonNull JSONObject callbackData) {
               callbackData = super.decodeFilter(callbackData);
               this.val$resultListener.handleResult(UserManager.this.imsUserAction.updateEmailFinal(this.val$userName, callbackData));
            }

            public void onFailed(@NonNull String errorMsg) {
               <undefinedtype> var10000 = this;
               Result var2;
               var2 = new Result.<init>("IE1049", errorMsg);
               var10000.val$resultListener.handleResult(var2);
               IMSSdk.mLogger.log(Level.SEVERE, "用户信息更新失败:".concat(errorMsg));
               XLog.d("用户信息更新失败:".concat(errorMsg));
            }
         }.<init>(resultListener, userName);
         var10000.httpPost(var10001, var10002, uid2);
      }
   }

   public Result updateUserEmail(@NonNull String userName, @NonNull String uid, @NonNull String emailAddress) {
      Exception var10000;
      label41: {
         Map var12;
         boolean var10001;
         try {
            var12 = this.imsUserAction.updateEmailBegin(userName, uid, emailAddress);
         } catch (Exception var8) {
            var10000 = var8;
            var10001 = false;
            break label41;
         }

         Map uid1 = var12;
         if (var12 == null) {
            try {
               return this.imsUserAction.getLatestResult();
            } catch (Exception var4) {
               var10000 = var4;
               var10001 = false;
            }
         } else {
            label43: {
               UserManager var13;
               NetworkInterface var14;
               try {
                  var13 = this;
                  var14 = IMSSdk.networkInterface;
               } catch (Exception var7) {
                  var10000 = var7;
                  var10001 = false;
                  break label43;
               }

               String var10002 = "/";

               JSONObject var15;
               try {
                  var15 = var14.httpPost(var10002.concat(IMSSdk.APP_NAME).concat("/user/updateUser"), uid1);
               } catch (Exception var6) {
                  var10000 = var6;
                  var10001 = false;
                  break label43;
               }

               JSONObject var9 = var15;

               try {
                  return var13.imsUserAction.updateEmailFinal(userName, var9);
               } catch (Exception var5) {
                  var10000 = var5;
                  var10001 = false;
               }
            }
         }
      }

      Exception var10 = var10000;
      var10.printStackTrace();
      return new Result("IE1015", var10);
   }

   public boolean deleteUser(String userName) {
      return this.imsUserAction.deleteUser(userName);
   }

   public boolean isCertUser(String userName) {
      return this.imsUserAction.isCertUser(userName);
   }

   public boolean isTokenUser(String userName) {
      return this.imsUserAction.isTokenUser(userName);
   }

   public boolean isLocked(String userName) {
      return this.imsUserAction.isLocked(userName);
   }

   public List<String> getSignedUsers() {
      return this.imsUserAction.getSignedUsers();
   }

   public String getMobileNo(String userName) {
      return this.imsUserAction.getMobileNo(userName);
   }

   public String getEmail(String userName) {
      return this.imsUserAction.getEmail(userName);
   }

   public String getRealName(String userName) {
      return this.imsUserAction.getRealName(userName);
   }
}
